## libofetion 2.1.0

=== CMakeLists.txt ===
project(libofetion)
cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules)
set(TARNAME libofetion)


# program name, version etc
set(OFETION_VERSION_MAJOR "2")
set(OFETION_VERSION_MINER "1")
set(OFETION_VERSION_PATCH "0")

# library API version
set(LIBOFETION_MAJOR_VERSION "1")
set(LIBOFETION_MINOR_VERSION "1")
set(LIBOFETION_PATCH_VERSION "0")

# library ABI version
set(LIBOFETION_SO_CUR_VERSION "1")
set(LIBOFETION_SO_REV_VERSION "0")
set(LIBOFETION_SO_AGE_VERSION "0")

set(LIBOFETION_VERSION_STRING
    "${LIBOFETION_MAJOR_VERSION}.${LIBOFETION_MINOR_VERSION}.${LIBOFETION_PATCH_VERSION}"
)
set(LIBOFETION_SO_VERION_STRING
    "${LIBOFETION_SO_CUR_VERSION}.${LIBOFETION_SO_REV_VERSION}.${LIBOFETION_SO_AGE_VERSION}"
)

set(PACKAGE_VERSION "${OFETION_VERSION_MAJOR}.${OFETION_VERSION_MINER}.${OFETION_VERSION_PATCH}")
set(PACKAGE_NAME "openfetion")
set(PACKAGE_TARNAME "${TARNAME}")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_BUGREPORT "http://code.google.com/p/ofetion/issues/list")

find_package(PkgConfig REQUIRED)

##########################################################################
if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif(NOT DEFINED LIB_INSTALL_DIR)
if(NOT DEFINED INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
endif(NOT DEFINED INCLUDE_INSTALL_DIR)
##########################################################################
if(NOT DEFINED BIN_INSTALL_DIR)
    set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
endif(NOT DEFINED BIN_INSTALL_DIR)
if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif(NOT DEFINED LIB_INSTALL_DIR)
if(NOT DEFINED DATA_INSTALL_DIR)
    set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share")
endif(NOT DEFINED DATA_INSTALL_DIR)
if(NOT DEFINED INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
endif(NOT DEFINED INCLUDE_INSTALL_DIR)

add_definitions(-DRESOURCE_DIR="${DATA_INSTALL_DIR}/openfetion/resource/")
install(
FILES resource/city.xml resource/province.xml
DESTINATION ${DATA_INSTALL_DIR}/openfetion/resource
)
pkg_check_modules(LIBXML2 REQUIRED libxml-2.0)
pkg_check_modules(OPENSSL REQUIRED openssl)
pkg_check_modules(SQLITE3 REQUIRED sqlite3)
# gnu ld version script
set(_link_flags " ")
if(CMAKE_COMPILER_IS_GNUCXX)
    include(TestCXXAcceptsFlag)
    set(_version_script "${CMAKE_CURRENT_SOURCE_DIR}/./libofetion.map")
    check_cxx_accepts_flag("-Wl,--version-script,${_version_script}" LD_ACCEPTS_VERSION_SCRIPT)
    if(LD_ACCEPTS_VERSION_SCRIPT)
        set(_link_flags "${_link_flags} -Wl,--version-script,'${_version_script}'")
    endif(LD_ACCEPTS_VERSION_SCRIPT)
endif(CMAKE_COMPILER_IS_GNUCXX)


##########################################################################
if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif(NOT DEFINED LIB_INSTALL_DIR)
if(NOT DEFINED INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
endif(NOT DEFINED INCLUDE_INSTALL_DIR)

##########################################################################
add_definitions(-Wall -Wextra)
##########################################################################

include_directories(
    ${LIBXML2_INCLUDE_DIRS} 
    ${OPENSSL_INCLUDE_DIRS} 
    ${SQLITE3_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)


set(libofetion_SRC
    ./fetion_buddylist.c
    ./fetion_config.c
    ./fetion_connection.c
    ./fetion_contact.c
    ./fetion_conversation.c
    ./fetion_debug.c
    ./fetion_directsms.c
    ./fetion_group.c
    ./fetion_history.c
    ./fetion_list.c
    ./fetion_login.c
    ./fetion_message.c
    ./fetion_share.c
    ./fetion_sip.c
    ./fetion_user.c
)

add_library(ofetion SHARED ${libofetion_SRC})
target_link_libraries(ofetion ${LIBXML2_LIBRARIES} ${OPENSSL_LIBRARIES} ${SQLITE3_LIBRARIES})

set_target_properties(ofetion PROPERTIES
    VERSION ${LIBOFETION_SO_VERION_STRING}
    SOVERSION ${LIBOFETION_SO_CUR_VERSION}
    LINK_FLAGS ${_link_flags}
)

add_library(ofetion-static STATIC ${libofetion_SRC})
SET_TARGET_PROPERTIES(ofetion-static PROPERTIES OUTPUT_NAME "ofetion")
SET_TARGET_PROPERTIES(ofetion-static PROPERTIES PREFIX "lib")

install(TARGETS ofetion ofetion-static
	LIBRARY DESTINATION ${LIB_INSTALL_DIR}
	ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
file(GLOB ofetion_INCLUDES "./*.h")
install(FILES ${ofetion_INCLUDES} DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

##########################################################################

configure_file(./ofetion.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/ofetion.pc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ofetion.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

=== debian/changelog ===
libofetion (2.1.0-0ubuntu1) natty; urgency=low

  [ Aron Xu ]
  * Initial release (Closes: #608047).

  [ Zhengpeng Hou ]
  * Change Maintainer field accordingly.

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Mon, 27 Dec 2010 14:09:55 +0800

=== debian/control ===
Source: libofetion
Section: libs
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Aron Xu <happyaron.xu@gmail.com>
Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libsqlite3-dev, pkg-config
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/ofetion/

Package: libofetion1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libofetion0
Description: open source implemention of fetion protocol library
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc.
 .
 openfetion is an opensource client of Fetion with limited features.
 It's small and fast, and is better in look.
 .
 This package provides the library files.

Package: libofetion-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libofetion1 (= ${binary:Version})
Conflicts: libofetion-dev
Description: open source implemention of fetion protocol library - development files
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc.
 .
 openfetion is an opensource client of Fetion with limited features.
 It's small and fast, and is better in look.
 .
 This package provides the library development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LDFLAGS=-Wl,--as-needed

%:
	dh  $@

## libofetion 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,43 +5,19 @@
 
 
 # program name, version etc
-set(OFETION_VERSION_MAJOR "2")
-set(OFETION_VERSION_MINER "1")
-set(OFETION_VERSION_PATCH "0")
+set(LIBOFETION_API_VERSION "1.2.0")
 
-# library API version
-set(LIBOFETION_MAJOR_VERSION "1")
-set(LIBOFETION_MINOR_VERSION "1")
-set(LIBOFETION_PATCH_VERSION "0")
+set(LIBOFETION_ABI_VERSION "1.2.0")
+set(LIBOFETION_ABI_MAJOR_VERSION "1")
 
-# library ABI version
-set(LIBOFETION_SO_CUR_VERSION "1")
-set(LIBOFETION_SO_REV_VERSION "0")
-set(LIBOFETION_SO_AGE_VERSION "0")
-
-set(LIBOFETION_VERSION_STRING
-    "${LIBOFETION_MAJOR_VERSION}.${LIBOFETION_MINOR_VERSION}.${LIBOFETION_PATCH_VERSION}"
-)
-set(LIBOFETION_SO_VERION_STRING
-    "${LIBOFETION_SO_CUR_VERSION}.${LIBOFETION_SO_REV_VERSION}.${LIBOFETION_SO_AGE_VERSION}"
-)
-
-set(PACKAGE_VERSION "${OFETION_VERSION_MAJOR}.${OFETION_VERSION_MINER}.${OFETION_VERSION_PATCH}")
-set(PACKAGE_NAME "openfetion")
+set(PACKAGE_VERSION "2.2.0")
+set(PACKAGE_NAME "${TARNAME}")
 set(PACKAGE_TARNAME "${TARNAME}")
 set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 set(PACKAGE_BUGREPORT "http://code.google.com/p/ofetion/issues/list")
 
 find_package(PkgConfig REQUIRED)
 
-##########################################################################
-if(NOT DEFINED LIB_INSTALL_DIR)
-    set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
-endif(NOT DEFINED LIB_INSTALL_DIR)
-if(NOT DEFINED INCLUDE_INSTALL_DIR)
-    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
-endif(NOT DEFINED INCLUDE_INSTALL_DIR)
-##########################################################################
 if(NOT DEFINED BIN_INSTALL_DIR)
     set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
 endif(NOT DEFINED BIN_INSTALL_DIR)
@@ -52,13 +28,22 @@
     set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share")
 endif(NOT DEFINED DATA_INSTALL_DIR)
 if(NOT DEFINED INCLUDE_INSTALL_DIR)
-    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
+    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/${PACKAGE_TARNAME}")
 endif(NOT DEFINED INCLUDE_INSTALL_DIR)
+if(NOT DEFINED MAN_INSTALL_DIR)
+    set(MAN_INSTALL_DIR "${DATA_INSTALL_DIR}/man")
+endif(NOT DEFINED MAN_INSTALL_DIR)
+if(NOT DEFINED RESOURCE_INSTALL_DIR)
+    set(RESOURCE_INSTALL_DIR "${DATA_INSTALL_DIR}/libofetion${LIBOFETION_ABI_MAJOR_VERSION}/resource/")
+endif(NOT DEFINED RESOURCE_INSTALL_DIR)
+if(NOT DEFINED LOCALE_INSTALL_DIR)
+    set(LOCALE_INSTALL_DIR "${DATA_INSTALL_DIR}/locale/")
+endif(NOT DEFINED LOCALE_INSTALL_DIR)
 
-add_definitions(-DRESOURCE_DIR="${DATA_INSTALL_DIR}/openfetion/resource/")
+add_definitions(-DRESOURCE_DIR="${RESOURCE_INSTALL_DIR}")
 install(
-FILES resource/city.xml resource/province.xml
-DESTINATION ${DATA_INSTALL_DIR}/openfetion/resource
+	FILES resource/city.xml resource/province.xml
+	DESTINATION ${RESOURCE_INSTALL_DIR}
 )
 pkg_check_modules(LIBXML2 REQUIRED libxml-2.0)
 pkg_check_modules(OPENSSL REQUIRED openssl)
@@ -76,15 +61,7 @@
 
 
 ##########################################################################
-if(NOT DEFINED LIB_INSTALL_DIR)
-    set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
-endif(NOT DEFINED LIB_INSTALL_DIR)
-if(NOT DEFINED INCLUDE_INSTALL_DIR)
-    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
-endif(NOT DEFINED INCLUDE_INSTALL_DIR)
-
-##########################################################################
-add_definitions(-Wall -Wextra)
+add_definitions(-g -Wall -Wextra)
 ##########################################################################
 
 include_directories(
@@ -118,8 +95,8 @@
 target_link_libraries(ofetion ${LIBXML2_LIBRARIES} ${OPENSSL_LIBRARIES} ${SQLITE3_LIBRARIES})
 
 set_target_properties(ofetion PROPERTIES
-    VERSION ${LIBOFETION_SO_VERION_STRING}
-    SOVERSION ${LIBOFETION_SO_CUR_VERSION}
+    VERSION ${LIBOFETION_ABI_VERSION}
+    SOVERSION ${LIBOFETION_ABI_MAJOR_VERSION}
     LINK_FLAGS ${_link_flags}
 )

=== debian/changelog ===
libofetion (2.2.0-2) unstable; urgency=low

  [ Asias He ]
  * Fix "Getting rid of unneeded *.la / emptying dependency_libs"

 -- Aron Xu <happyaron.xu@gmail.com>  Tue, 17 May 2011 16:51:20 +0800

libofetion (2.2.0-1) unstable; urgency=low

  * Initial release (Closes: #608047).

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 04 May 2011 19:23:36 +0800

=== debian/control ===
Source: libofetion
Section: libs
Priority: optional
Maintainer: Aron Xu <happyaron.xu@gmail.com>
DM-Upload-Allowed: yes
Uploaders: Asias He <asias.hejun@gmail.com> 
Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libsqlite3-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ofetion/

Package: libofetion1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libofetion0
Description: open source implementation of Fetion protocol library
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc. Openfetion is an open source client
 implementation of the protocol.
 .
 It only supports core features including Internet SMS service, and
 partial support of group chat.
 .
 This package provides the library files.

Package: libofetion-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libofetion1 (= ${binary:Version})
Conflicts: libofetion-dev
Description: open source implementation of Fetion protocol library - development files
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc. Openfetion is an open source client
 implementation of the protocol.
 .
 It only supports core features including Internet SMS service, and 
 partial support of group chat.
 .
 This package provides the library development files.

## libofetion 2.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # program name, version etc
 set(LIBOFETION_API_VERSION "1.2.0")
 
-set(LIBOFETION_ABI_VERSION "1.2.0")
+set(LIBOFETION_ABI_VERSION "1.1.0")
 set(LIBOFETION_ABI_MAJOR_VERSION "1")
 
 set(PACKAGE_VERSION "2.2.0")

=== debian/changelog ===
libofetion (2.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Mon, 02 Jan 2012 01:45:10 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libofetion
 Section: libs
 Priority: optional
-Maintainer: Aron Xu <happyaron.xu@gmail.com>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Asias He <asias.hejun@gmail.com> 
+Uploaders: Aron Xu <aron@debian.org>, Asias He <asias.hejun@gmail.com> 
 Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libsqlite3-dev, pkg-config
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/ofetion/

=== debian/watch ===
version=3
http://googlecode.debian.net/p/ofetion/libofetion-(\d+.*)\.tar\.gz
